curl --request POST \
--url https://test-api.sandbox.co.in/kyc/entitylocker/sessions/init \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"@entity": "in.co.sandbox.kyc.entitylocker.session.request",
"flow": "signin",
"redirect_url": "https://sandbox.co.in/",
"consent_expiry": 1765887697411
}
'{
"code": 200,
"timestamp": 1765534184274,
"data": {
"@entity": "in.co.sandbox.kyc.entitylocker.session.response",
"authorization_url": "https://entity.digilocker.gov.in/public/oauth2/1/authorize?response_type=code&client_id=VRF23C1E3B&redirect_uri=https%3A%2F%2Fdev-api.sandbox.co.in%2Fcallbacks%2Fkyc%2Fentitylocker%2Foauth&state=ZDgyMDM0NzItMTFiMC00ZGRhLWFlOWItY2U0YzI0OTRmMWRkfGQzZjg4OTdlLWYxZmYtNDQ0OS05NzA0LTcwNzNmNjkzMDI5NnxodHRwczovL3NhbmRib3guY28uaW4v&code_challenge=yxAtiqiBw2FrXmavMHn7bVnq7nW-sWRNI50JTMuYtAE&code_challenge_method=S256&consent_valid_till=1767205777",
"session_id": "d3f8897e-f1ff-4449-9704-7073f6930296"
},
"transaction_id": "02683ff9-2abc-42ab-a050-945f21068bce"
}The Initiate Session API returns a EntityLocker link that the user is redirected to, where they can provide consent for the requested documents.
curl --request POST \
--url https://test-api.sandbox.co.in/kyc/entitylocker/sessions/init \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"@entity": "in.co.sandbox.kyc.entitylocker.session.request",
"flow": "signin",
"redirect_url": "https://sandbox.co.in/",
"consent_expiry": 1765887697411
}
'{
"code": 200,
"timestamp": 1765534184274,
"data": {
"@entity": "in.co.sandbox.kyc.entitylocker.session.response",
"authorization_url": "https://entity.digilocker.gov.in/public/oauth2/1/authorize?response_type=code&client_id=VRF23C1E3B&redirect_uri=https%3A%2F%2Fdev-api.sandbox.co.in%2Fcallbacks%2Fkyc%2Fentitylocker%2Foauth&state=ZDgyMDM0NzItMTFiMC00ZGRhLWFlOWItY2U0YzI0OTRmMWRkfGQzZjg4OTdlLWYxZmYtNDQ0OS05NzA0LTcwNzNmNjkzMDI5NnxodHRwczovL3NhbmRib3guY28uaW4v&code_challenge=yxAtiqiBw2FrXmavMHn7bVnq7nW-sWRNI50JTMuYtAE&code_challenge_method=S256&consent_valid_till=1767205777",
"session_id": "d3f8897e-f1ff-4449-9704-7073f6930296"
},
"transaction_id": "02683ff9-2abc-42ab-a050-945f21068bce"
}Documentation Index
Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
Use this file to discover all available pages before exploring further.
JWT access token. For token-generation steps, refer to the Quickstart Guide.
API key used to identify and authenticate the client.
Specifies the API version for the request.
Media type of the request body.
application/json in.co.sandbox.kyc.entitylocker.session.request EntityLocker user journey to initiate for this session. Use signin for existing users or signup to create a new EntityLocker account.
signin, signup HTTPS URL where the user will be redirected after completing the EntityLocker consent flow.
^https://Unix timestamp in milliseconds after which the consent request becomes invalid. Must be at least 1 hour later than the current server time.
x >= 0HTTP status code.
Unix timestamp (in milliseconds) indicating when the server generated the response.
Response payload containing the requested data or error details.
Show child attributes
Unique identifier for tracking the request across systems.
Was this page helpful?